-- invisible_index.sql

CONNECT hr/hr

-- Create an invisible index on the employees table.  
CREATE INDEX testidx ON employees(salary) INVISIBLE;

SELECT index_name, table_name, visibility FROM user_indexes
 WHERE table_name = 'EMPLOYEES';

-- Also modify the department_id index on the employees table and make the department_id index invisible.
ALTER INDEX emp_department_ix INVISIBLE;

--Verify that the indexes are invisible
SELECT index_name, table_name, visibility FROM user_indexes
 WHERE table_name = 'EMPLOYEES';

-- Make all indexes visible
ALTER INDEX emp_department_ix VISIBLE;

ALTER INDEX testidx VISIBLE;

SELECT index_name, table_name, visibility FROM user_indexes
 WHERE table_name = 'EMPLOYEES';
