-- wait_for_lock.sql
-- run from sys's session

CONNECT / AS SYSDBA

CREATE USER user1 IDENTIFIED BY user1
       QUOTA UNLIMITED ON users;

CREATE USER user2 IDENTIFIED BY user2
       QUOTA UNLIMITED ON users;

GRANT CREATE SESSION,
      CREATE TABLE
   TO user1, user2;

GRANT SELECT ON hr.employees TO user1, user2;

CONNECT user1/user1

CREATE TABLE emp2 AS SELECT * FROM hr.employees;

GRANT ALL ON emp2 TO user2;

UPDATE emp2 SET salary = 1;

-- Do not commit or exit.  The update sets a DML lock on emp2.
