-- restore.sql

-- SELECT current_scn - 10 FROM v$database;
-- CREATE RESTORE POINT restoreX AS OF SCN <selected value>;
-- In PL/SQL:
DECLARE
  curr_scn NUMBER;
BEGIN
  SELECT current_scn - 10
    INTO curr_scn FROM v$database;
  EXECUTE IMMEDIATE 'CREATE RESTORE POINT restoreX AS OF SCN ' || curr_scn;
END;
/

CREATE RESTORE POINT restoreZ
  AS OF TIMESTAMP sysdate - .25;

CREATE RESTORE POINT restoreP PRESERVE;

SELECT name, scn, preserved, restore_point_time FROM v$restore_point;
