-- create_virtual.sql

CONNECT hr/hr

-- Create a table with a virtual column
CREATE TABLE emp_hourly_rate (
  employee_id NUMBER(6) PRIMARY KEY,
  first_name VARCHAR2(20) NOT NULL,
  last_name VARCHAR2(25) NOT NULL,
  salary NUMBER(8,2),
  hourly_rate NUMBER(8,2) GENERATED ALWAYS AS (salary/2080)
);

INSERT INTO emp_hourly_rate (employee_id, first_name,
                             last_name, salary)
       SELECT employee_id, first_name, last_name, salary
         FROM employees;

SELECT last_name, salary, hourly_rate
  FROM emp_hourly_rate;

