-- temp_tablespace.sql

CONNECT / AS SYSDBA

CREATE TEMPORARY TABLESPACE temp2
       TEMPFILE '/u01/app/oracle/oradata/o11g/temptest01.dbf' SIZE 1000M;

SELECT name, bytes/1024/1024 MB FROM v$tempfile;

ALTER TABLESPACE temp2 SHRINK SPACE;

SELECT name, bytes/1024/1024 MB FROM v$tempfile;

ALTER DATABASE
  TEMPFILE '/u01/app/oracle/oradata/o11g/temptest01.dbf' RESIZE 1000M;

SELECT name, bytes/1024/1024 MB FROM v$tempfile;

ALTER TABLESPACE temp2 SHRINK SPACE KEEP 100M;

SELECT name, bytes/1024/1024 MB FROM v$tempfile;

ALTER DATABASE
  TEMPFILE '/u01/app/oracle/oradata/o11g/temptest01.dbf' RESIZE 1000M;

SELECT name, bytes/1024/1024 MB FROM v$tempfile;

ALTER TABLESPACE temp2
      SHRINK TEMPFILE '/u01/app/oracle/oradata/o11g/temptest01.dbf' KEEP 100M;

SELECT name, bytes/1024/1024 MB FROM v$tempfile;
