-- create_data.sql
CREATE USER video
  IDENTIFIED BY video
  DEFAULT TABLESPACE example
  QUOTA UNLIMITED ON example;

GRANT RESOURCE TO video;
GRANT CONNECT TO video;

CONNECT video/video;

CREATE TABLE video_mstr_vw
(
  video_name VARCHAR2(30), 
  month CHAR(2),
  quantity_rented NUMBER(3)
);

INSERT INTO video_mstr_vw VALUES('The Longest Yard', 01, 20);
INSERT INTO video_mstr_vw VALUES('Final Cut', 02, 15);
INSERT INTO video_mstr_vw VALUES('The Longest Yard', 02, 20);
INSERT INTO video_mstr_vw VALUES('Independence Day', 08, 20);
INSERT INTO video_mstr_vw VALUES('The Pacifier', 01, 20);
INSERT INTO video_mstr_vw VALUES('Mission Impossible III', 01, 20);
INSERT INTO video_mstr_vw VALUES('Ray', 01, 20);
INSERT INTO video_mstr_vw VALUES('Walk the Line', 01, 20);
INSERT INTO video_mstr_vw VALUES('Fanastic Four', 01, 20);
INSERT INTO video_mstr_vw VALUES('Sin City', 01, 20);
INSERT INTO video_mstr_vw VALUES('Hostage', 01, 20);
INSERT INTO video_mstr_vw VALUES('Lord of War', 01, 20);
INSERT INTO video_mstr_vw VALUES('Open Season', 01, 20);
INSERT INTO video_mstr_vw VALUES('Madagasscar', 01, 20);
INSERT INTO video_mstr_vw VALUES('Superman Returns', 01, 20);

COMMIT;
