-- pivot.sql

CONNECT video/video

SELECT *
  FROM ( SELECT video_name, month, quantity_rented FROM video_mstr_vw )
  PIVOT ( SUM ( quantity_rented ) FOR month IN
    ( '01' AS jan, 
      '02' AS feb, 
      '03' AS mar, 
      '04' AS apr,
      '05' AS may,
      '06' AS jun,
      '07' AS jul,
      '08' AS aug,
      '09' AS sep,
      '10' AS oct,
      '11' AS nov,
      '12' AS dec )
   )
  ORDER BY video_name DESC;
